import request from '@/utils/request'

// 查询维保机组类型评分
export function listFanInspectionScore(query) {
  return request({
    url: '/gxt/userfanscore/fanInspectionScore',
    method: 'get',
    params: query
  })
}

// 查询维保风机类型检查得分列表
export function listUserFanInspectionScore(query) {
  return request({
    url: '/gxt/userfanscore/list',
    method: 'get',
    params: query
  })
}

// 查询维保风机类型检查得分详细
export function getUserFanInspectionScore(id) {
  return request({
    url: '/gxt/userfanscore/' + id,
    method: 'get'
  })
}

// 新增维保风机类型检查得分
export function addUserFanInspectionScore(data) {
  return request({
    url: '/gxt/userfanscore',
    method: 'post',
    data: data
  })
}

// 修改维保风机类型检查得分
export function updateUserFanInspectionScore(data) {
  return request({
    url: '/gxt/userfanscore',
    method: 'put',
    data: data
  })
}

// 删除维保风机类型检查得分
export function delUserFanInspectionScore(id) {
  return request({
    url: '/gxt/userfanscore/' + id,
    method: 'delete'
  })
}